Bug 1466172 - [RFE] add graph refresh support for RHV full refresh
[RFE] add graph refresh support for RHV full refresh
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: MVP
: 5.9.0
Assigned To: Piotr Kliczewski
Ilanit Stein
rhev, Graph refresh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 04:17 EDT by Oved Ourfali
Modified: 2018-03-01 08:14 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-01 08:14:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-providers-ovirt/pull/23 None None None 2017-06-30 03:28 EDT
Github ManageIQ/manageiq-providers-ovirt/pull/35 None None None 2017-06-30 03:31 EDT
Github ManageIQ/manageiq-providers-ovirt/pull/51 None None None 2017-06-30 03:28 EDT
Github ManageIQ/manageiq/pull/15082 None None None 2017-06-30 03:32 EDT
Github ManageIQ/manageiq/pull/15441 None None None 2017-06-30 03:33 EDT
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 13:37:12 EST

  None (edit)
Description Oved Ourfali 2017-06-29 04:17:17 EDT
As Graph refresh mechanism is ready, and promises performance improvements, we'd like to support that in RHV provider as well.

There should be an option to have it on/off.
Comment 2 Ilanit Stein 2017-12-25 07:29:25 EST
Full refresh measurements for CFME-5.9.0.14/RHV-4.2.1 - scale (1800 VMs, 400 Hosts), both systems on same location (no high latency):

* Initial full refresh (Right after connecting the RHV to CFME)
Graph Refresh - OFF - 4.5 min
Graph Refresh - ON - 4.5 min

* Second full refresh (Running Refresh Relationship, after RHV is connected, and the initial full refresh has ended)
Graph Refresh - OFF - 3 min
Graph Refresh - ON - 2 min
Comment 3 Ilanit Stein 2018-01-08 08:51:25 EST
Removing the bugs from depends on as those do not block the Graph refresh feature. Added a separate bug tracker or this purpose:
Bug 1532255 - [Tracker][RHV] Graph Refresh bugs
Comment 4 Ilanit Stein 2018-01-18 05:39:09 EST
Moving to Verified as Automation full test list showed no regression on CFME
with RHV Graph refresh switched ON, compared to same tests run with Graph Refresh switched OFF.

Tested on CFME-5.9.0.16/RHV-4.1.8.2
Comment 7 errata-xmlrpc 2018-03-01 08:14:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380

Note You need to log in before you can comment on or make changes to this bug.